Index: SPECS/gcc41.spec
===================================================================
--- SPECS.orig/gcc41.spec
+++ SPECS/gcc41.spec
@@ -149,6 +149,8 @@ Patch27: gcc41-pr28516.patch
 Patch28: gcc41-pr30384.patch
 Patch29: gcc41-armeabi-floatundi-redefine.patch
 Patch30: libgcc_post_upgrade.c.arm.patch
+Patch31: gcc41-arm-config-guess-fix.patch
+Patch32: gcc41-unbreak-armv4t.patch
 
 # On ARM EABI systems, we do want -gnueabi to be part of the
 # target triple.
@@ -462,6 +464,10 @@ which are required to run programs compi
 %patch28 -p0 -b .pr30384~
 %patch29 -p0 -b .armsymbol~
 patch %{SOURCE1} < %{PATCH30}
+%patch31 -p0 -b .armconfig~
+%ifarch armv4tb armv4tl
+%patch32 -p0 -b .armv4t~
+%endif
 
 sed -i -e 's/4\.1\.3/4.1.2/' gcc/BASE-VER gcc/version.c
 sed -i -e 's/" (Red Hat[^)]*)"/" (Red Hat %{version}-%{gcc_release})"/' gcc/version.c
